<?php if (!defined('PmWiki')) exit();
/*  Copyright 2006 Hans Bracker. 
    This file is popupedit.php; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published
    by the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    
    popupedit.php sets Site.Popup-EditForm as edit form template,
    which uses a popup Preview pane and Help pane. 
    It needs showhide.php recipe for javascript toggle buttons.
    If javascript is disabled or not present the edit form will display 
    in a standard way with preview and standard EditQuickReference underneath the edit form.
    Site.Popup-EditQuickRef is used for the popup help pane.
*/

# set EditForm
$PageEditForm = 'Site.Popup-EditForm';

# set session cookie with javascript to set a flag
$HTMLHeaderFmt['popupedit'] = "
  <script type='text/javascript' language='JavaScript1.2'><!--
      document.cookie = 'javascript=true';
  --></script> 
";
  
# check for javascript cookie, set $javascript var for (:if enabled javascript:) switch  
if (isset($_COOKIE['javascript'])) $javascript = $_COOKIE['javascript'];  

# load styles for edit mode only  
if ($action=='edit') {
#check if javascript is enabled via session cookie set by javascript
if ($javascript=='true') {
# javascript popup styles
# adjust values for #editpreview top, left and width to suit your skin.
$HTMLStylesFmt['popupedit'] = "
    #editpreview {
        position:absolute; 
        top:5em; 
        left:1em; 
        width:96%; 
        padding:5px;
        border:3px solid #aaf; 
        background:#fff;
        }
    * html #editpreview {top:6.5em; width:100%
        }
    .previewheader {
        display:block; 
        border-bottom:3px solid #aaf; 
        padding:5px; 
        background:#eef;
        margin:-5px -5px 0 -5px;
        }
    .previewfooter {
        display:block; 
        border-top:3px solid #aaf; 
        padding:5px;
        background:#eef; 
        margin:0 -5px -5px -5px;
        }
    #edithelp {
        position:absolute;
        top:9em;
        right:1em;  
        width:250px;
        padding:3px;
        background:#fff;
        border:3px solid #aaf;
        font-size:0.8em;
        line-height:130%;
        }
";
}
# no javascript popup styles:
else {
$HTMLStylesFmt['popup-editform'] = "
    #editpreview {
        margin:5px 0;   
        border:4px solid #aaf; 
        background:#fff;
        }
    .previewheader {
        display:block; 
        border-bottom:4px solid #aaf; 
        padding:5px; 
        background:#eef; 
        margin:-1em -1em 0 -1em;
        }
    .previewfooter {
        display:block; 
        border-top:4px solid #aaf; 
        padding:5px;
        background:#eef; 
        margin:0 -1em -1em -1em;
        }
    .togglebutton { display:none; }
";}
} 

## automatic loading of Popup-EditForm and Popup-EditQuickRef pages
    $where = count($WikiLibDirs);
    if ($where>1) $where--;
    array_splice($WikiLibDirs, $where, 0, 
        array(new PageStore("$FarmD/cookbook/popupedit/wikilib.d/\$FullName")));
